orte/util/proc_info.h File Reference.TH "orte/util/proc_info.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/util/proc_info.h \- Populates global structure with process-specific information. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include 'mca/ns/ns_types.h'\fP
.br

.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBorte_proc_info_t\fP \fBorte_proc_info_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_proc_info\fP (void)"
.br
.ti -1c
.RI "OMPI_DECLSPEC int \fBorte_proc_info_finalize\fP (void)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBorte_proc_info_t\fP \fBorte_process_info\fP"
.br
.RI "\fIGlobal process info descriptor. \fP"
.in -1c
.SH "Detailed Description"
.PP 
Populates global structure with process-specific information. 


.SH "Variable Documentation"
.PP 
.SS "OMPI_DECLSPEC \fBorte_proc_info_t\fP \fBorte_process_info\fP"
.PP
Global process info descriptor. 
.PP
Initialized to almost no meaningful information - data is provided by calling \fCorte_rte_init()\fP (which calls \fCorte_proc_info()\fP to fill in the structure).
.PP
The exception to this rule is the \fCorte_process_info.seed\fP field, which will be initialized to \fCfalse\fP, but should be set to \fCtrue\fP before calling \fCorte_rte_info()\fP if the caller is a seed daemon. 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
